climate-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Anderson (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CLIMATE-480) plotter.draw_subregions requires outdated subregion object
Date Mon, 12 Feb 2018 01:06:00 GMT

     [ https://issues.apache.org/jira/browse/CLIMATE-480?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Michael Anderson resolved CLIMATE-480.
--------------------------------------
    Resolution: Duplicate

Looks like CLIMATE-604 - Fix draw_subregions and perhaps other, earlier Jira addressed this.  

Refer to examples/subregions_rectangular_boundaries.py for an example of this method using
the ocw Bounds object.

> plotter.draw_subregions requires outdated subregion object
> ----------------------------------------------------------
>
>                 Key: CLIMATE-480
>                 URL: https://issues.apache.org/jira/browse/CLIMATE-480
>             Project: Apache Open Climate Workbench
>          Issue Type: Bug
>          Components: visualization
>    Affects Versions: 0.3-incubating
>            Reporter: Michael Joyce
>            Assignee: Michael Anderson
>            Priority: Major
>             Fix For: 1.3.0
>
>
> plotter.draw_subregions [1, line 216] requires a 'subregion object' from the old RCMET
code base [2, line 37]. This should be removed and replaced with ocw.dataset.Bounds object
[3, line 205]. It's possible that additional functionality will need to be added to the Bounds
class. Subtasks will track that work.
> [1] https://github.com/apache/climate/blob/master/ocw/plotter.py
> [2] https://github.com/apache/climate/blob/master/rcmet/src/main/python/rcmes/classes.py
> [3] https://github.com/apache/climate/blob/master/ocw/dataset.py



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message